{"title":"Get customerPaymentJournals","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_customerpaymentjournal_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_customerpaymentjournal_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_customerpaymentjournal_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets a customerPaymentJournal object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":101,"chars":222},{"level":2,"title":"Request headers","slug":"request-headers","at":323,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":395,"chars":61},{"level":2,"title":"Response","slug":"response","at":456,"chars":135},{"level":2,"title":"Example","slug":"example","at":591,"chars":609},{"level":2,"title":"Related information","slug":"related-information","at":1200,"chars":260}],"text":"Retrieve the properties and relationships of a customer payment journal object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/customerPaymentJournals({id})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and a customerPaymentJournals object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v1.0/companies({id})/customerPaymentJournals({id})\n```\nResponse\nHere's an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n    \"id\": \"dc1b6a90-44e3-ea11-bb43-000d3a2feca1\",\n    \"code\": \"GENERAL\",\n    \"displayName\": \"GENERAL\",\n    \"lastModifiedDateTime\": \"2020-08-21T00:24:35.687Z\",\n    \"balancingAccountId\": \"00000000-0000-0000-0000-000000000000\",\n    \"balancingAccountNumber\": \"10100\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_customerpaymentjournal\ndynamics_customerpaymentjournal_delete\ndynamics_customerpaymentjournal_create\ndynamics_customerpaymentjournal_update"}